<?php
/**
 * page callback reserv_admin_list()
 */
 
 // ф-я страницы с заказами
 function reserv_admin_list(){
   
   //выбираем поля из БД в массив для получения списка заказов на сегодня
   $fields = array('id', 'res_id', 'num', 'name', 'phone', 'email', 'date', 'time', 'count', 'status');
   
   //ф-я для выборки данных и формирования таблиц с заказами
   function selectDb($ticket, $date, $fields, $all){
	
	   $query = db_select('reserv', $ticket);
	   
	   if($all == ''){
			$query
			 ->condition($ticket .'.date', $date)
			 -> fields($ticket, $fields) // массив полей которые вытаскиваем из БД
			 -> range(0, 50) // выбираем по 50 полей
			 -> orderBy($ticket .'.time', 'ASC'); //сортировка по id date и по возрастанию
		   $result = $query->execute();
		   
		   //запрос на количество заказов
		   $count = $query
			 ->condition($ticket .'.date', $date)
			 ->countQuery()
			 ->execute()
			 ->fetchField();
	   }else{
			$query
			 ->condition($ticket .'.date', $date, '>')
			 -> fields($ticket, $fields) // массив полей которые вытаскиваем из БД
			 -> range(0, 50) // выбираем по 50 полей
			 -> orderBy($ticket .'.time', 'ASC'); //сортировка по id date и по возрастанию
		   $result = $query->execute();
		   
		   //запрос на количество заказов
		   $count = $query
			 ->condition($ticket .'.date', $date, '>')
			 ->countQuery()
			 ->execute()
			 ->fetchField();
	   }
	   
	   $title = array(t('дата'), t('время'), t('id брони'), t('номер столика'), t('на чье имя бронь'), t('номер телефона'), t('email'), t('колличество человек'), t('Статус'), t('Редактировать'));
	   $rows = array();
	   $i = 0;
	   
	   foreach($result as $result){
		 $id = $result -> id;
		 $id_order = $result -> res_id;
		 $status = $result -> status;
		 
		 $rows[$i] = array(
		   $result -> date,
		   $result -> time,
		   $result -> res_id,
		   $result -> num,
		   $result -> name,
		   $result -> phone,
		   $result -> email,
		   $result -> count,
		 );
		 
		 // проверка статуса заявки
		 if($status == 0){
		 
		  $status = array(
			'data' => 'Не подтверждено',
			'class' => 'reserv-status off',
		  );
			
		 }else{
		  $status = t('Подтвержден');
		  $status = array(
			'data' => 'Подтвержден',
			'class' => 'reserv-status comp',
		  );
		 }
		 
		 array_push($rows[$i], $status, '<a href="reserv/list/edit/?id=' .$id .'&id_order=' .$id_order .'">' .t('Изменить') .'</a>');
		 $i++;
	   }
	   
	    return array(
			'count' => $count,
			'title' => $title,
			'rows' => $rows
		);
	   
   }  
   
   // заказы на сегодня
   $date = date('d-m-Y');
   $today = selectDb('rs', $date, $fields, '');
   
   //заказы на завтра
   $date_tom = time(date('d-m-Y')) + 86400; // определяем завтрашнее число в Unix
   $date_tom = date('d-m-Y', $date_tom); // перевели обратно в необходимый формат
   $tom = selectDb('rs_tom', $date_tom, $fields, ''); // передали парметры в ф-ю selectDb
   
   //заказы на после завтра
   $date_after = time(date('d-m-Y')) + 86400*2;
   $date_after = date('d-m-Y', $date_after);
   $tom_after = selectDb('rs_aft', $date_after, $fields, '');
   
   //заявки на другие дни
   $date_all = time(date('d-m-Y')) + 86400*2;
   $date_all = date('d-m-Y', $date_all);
   $tom_all = selectDb('rs_all', $date_all, $fields, '1');
   
  //custom вывод даты
   $moth = array(
	'January' => 'Январь',
	'February' => 'Февраль',
	'March' => 'Март',
	'April' => 'Апрель',
	'May' => 'Май',
	'June' => 'Июнь',
	'July' => 'Июль',
	'August' => 'Август',
	'September' => 'Сентябрь',
	'October' => 'Октябрь',
	'November' => 'Ноябрь',
	'December' => 'Декабрь'
	);
	
    //вывод таблиц с заказами
   $output ='<h3>Сегодня: ' .strtr(date('d F Y'), $moth) .'</h3>'
			.'<div class="tab-reserv"><ul><li><a href="#" title="" id="orderall" class="active">все</a></li><li><a href="#" title="" id="orderyes">только подтвержденные</a></li><li><a href="#" title="" id="orderno">только не подтвержденные</a></li></ul></div>'
			.'<div id="search-id-reserv" class="search-id-reserv"><input type="text" placeholder="поиск по ID брони"><a href="#">поиск</a></div>'
			.'<p class="title-order">Заказов на сегодня:<span class="count_order"> ' .$today['count'] .'</span></p>'.theme('table', array('header' => $today['title'], 'rows' => $today['rows']))
            .'<p class="title-order">Заказов на завтра:<span class="count_order"> ' .$tom['count'] .'</span></p>'.theme('table', array('header' => $tom['title'], 'rows' => $tom['rows']))
			.'<p class="title-order">Заказов на послезавтра:<span class="count_order"> ' .$tom_after['count'] .'</span></p>'.theme('table', array('header' => $tom_after['title'], 'rows' => $tom_after['rows']))
			.'<p class="title-order">Заказы на другие дни:<span class="count_order"> ' .$tom_all['count'] .'</span></p>'.theme('table', array('header' => $tom_all['title'], 'rows' => $tom_all['rows']));
			 
   return $output;
   
 }
 
 //ф-я обновления/редактирования закза
 function reserv_update_form(){
	
    $fields = array('id', 'res_id', 'num', 'name', 'phone', 'email', 'date', 'time', 'count', 'status');
	$title = array(t('дата'), t('время'), t('номер столика'), t('на чье имя бронь'), t('номер телефона'), t('email'), t('количество человек'), t('статус'));
	$id_order = $_GET['id_order']; // получили id брони
	$id = $_GET['id']; // получили уникальный id, используется для обновления | редактирования в БД
	$thead = '';
	
	//вытаскиваем информацию из БД по его уникальному id
	$query = db_select('reserv', 'up');
	   $query
		 ->condition('up.id', $id)
		 -> fields('up', $fields); // массив полей которые вытаскиваем из БД
	   $result = $query->execute();
	
	$rows = array();
	$i = 0;
	
	//получили массив значений из БД
	foreach($result as $result){
	 $status = $result -> status;
	 $res_id = $result -> res_id;
	 
	 $rows[$i] = array(
	   $result -> date,
	   $result -> time,
	   $result -> num,
	   $result -> name,
	   $result -> phone,
	   $result -> email,
	   $result -> count,
	 );
	}
	
	for($i = 0; $i < count($title); $i++){
		$thead .= '<th>' .$title[$i] .'</th>';
	}
	
	// проверка статуса заявки
	if($status == 0){
	  $status = t('Не подтвержден');
	  $cap_status = 'red';
	}else{
	  $status = t('Подтвержден');
	  $cap_status = 'green';
	}
	
	//wrapper формы
	$form['form_update'] = array(
		'#prefix' => '<table><caption class="cap-order"><span class="left">ID Брони: <strong>' .$res_id .'</strong></span><span class="right">Текущий статус: <strong class="' .$cap_status .'">' .$status .'</strong></span></caption><thead>' .$thead .'</thead><tbody><tr>',
		'#type' => 'container',
	);
	
	//дата брони
	$form['form_update']['date'] = array(
		'#prefix' => '<td>',
		'#suffix' => '</td>',
		'#type' => 'textfield',
		'#attributes' => array(
			'size' => '20',
		),
		'#default_value' => $rows['0']['0'],
	);
	
	//время брони
	$form['form_update']['time'] = array(
		'#prefix' => '<td>',
		'#suffix' => '</td>',
	    '#type' => 'textfield',
		'#attributes' => array(
			'size' => '20',
		),
		'#default_value' => $rows['0']['1'],
	);
		
    //номер столика
	$form['form_update']['num'] = array(
		'#prefix' => '<td>',
		'#suffix' => '</td>',
		'#type' => 'textfield',
		'#attributes' => array(
			'size' => '5',
		),
		'#default_value' => $rows['0']['2'],
	);
  
    //имя и фамилия
    $form['form_update']['name'] = array(
		'#prefix' => '<td>',
		'#suffix' => '</td>',
		'#type' => 'textfield',
		'#attributes' => array(
			'size' => '20',
		),
		'#default_value' => $rows['0']['3'],
	);
	
	//телефон
	$form['form_update']['phone'] = array(
		'#prefix' => '<td>',
		'#suffix' => '</td>',
		'#type' => 'textfield',
		'#attributes' => array(
			'size' => '20',
		),
		'#default_value' => $rows['0']['4'],
	);
	
	//email
	$form['form_update']['email'] = array(
		'#prefix' => '<td>',
		'#suffix' => '</td>',
		'#type' => 'textfield',
		'#attributes' => array(
			'size' => '20',
		),
		'#default_value' => $rows['0']['5'],
	);
	
	//количество человек
	$form['form_update']['count'] = array(
		'#prefix' => '<td>',
		'#suffix' => '</td>',
		'#type' => 'textfield',
		'#attributes' => array(
			'size' => '5',
		),
		'#default_value' => $rows['0']['6'],
	);
	
	//статус
	$form['form_update']['status'] = array(
		'#prefix' => '<td>',
		'#suffix' => '</td>',
		'#type' => 'select',
		'#options' => array(
			0 => t('Снять подтверждение'),
			1 => t('Подтвердить'),
		),
	);
	
	//Кнопка отправки
	$form['form_update']['submit'] = array(
		'#prefix' => '</tr></tbody></table>',
	    '#type' => 'submit',
	    '#value' => t('Submit'),
	);
	
	//Кнопка удаления
	$form['form_update']['submit_del'] = array(
		'#type' => 'submit',
		'#value' => t('Delete'),
		'#submit' => array('reserv_delete_form'),
	);
	
	return $form;
	
 }
 
 //ф-я удаления заказа из БД
 function reserv_delete_form(){
	$id_order = $_GET['id_order'];
	$id = $_GET['id']; 
	db_delete('reserv')
		->condition('id', $id)
		->execute();
		
	drupal_set_message(t('Запись c индетификатором брони №' .$id_order .' успешно удалена'));
	drupal_goto('admin/config/content/reserv/list');
	
 }
 
 // обновляем значения в БД
 function reserv_update_form_submit(&$form, &$form_state) {

	$id_order = $_GET['id_order']; // получили id брони
	$id = $_GET['id']; // получили уникальный id, используется для обновления | редактирования в БД
	$email = $form_state['values']['email'];
	$num = $form_state['values']['num'];
	$status = $form_state['values']['status'];
	
	db_update('reserv')
	  ->fields(array(
		'date' => $form_state['values']['date'],
		'time' => $form_state['values']['time'],
		'num' => $num,
		'phone' => $form_state['values']['phone'],
		'email' => $email,
		'count' => $form_state['values']['count'],
		'status' => $status,
		'name' => $form_state['values']['name'],
		))
	  ->condition('id', $id)
	  ->execute();
	
	$form_state['redirect'] = 'admin/config/content/reserv/list';
	drupal_set_message(t('Заявка №' .$id_order .', на имя ' .$form_state['values']['name'] .' обновлена'));
	
	if(variable_get('email_comp', '') == '1'){
		// проверяем статус перед отправкой
		if($status == '1'){
			//отправка письма после подтверждения заявки
			$message = 'Спасибо за ожидание, ваша заявка № ' .$id_order .' на бронирование столика № ' .$num .' одобрена.';
			$param = array(
				'context' => array(
				'subject' => t('Ваша заявка №' .$id_order .' одобрена.'),
				'message' => $message,
				)
			);
			drupal_mail('system', 'mail', $email, language_default(), $param);
		}
	}
		
  }