<?php

// ф-я с настройками модуля reserv
function reserv_admin_settings(){
	
	// обертка email
	$form['email'] = array(
		'#type' => 'fieldset',
		'#title' => 'Настройки email оповещений',
		'#collapsible' => TRUE,
		'#collapsed' => TRUE
	);
	
	// обертка для настроек администратору
	$form['email']['administrator'] = array(
		'#type' => 'fieldset',
		'#title' => 'Email оповещений для администратора',
		'#collapsible' => TRUE,
		'#collapsed' => TRUE
	);
	
	// поле Email администратора сайта
	$form['email']['administrator']['email_admin'] = array(
		'#type' => 'textfield',
		'#title' => t('Email адрес администратора'),
		'#description' => t('Укажите Email адресс администратора сайта. На данный адресс будут приходить все заявки о бронировании столика'),
		'#default_value' => variable_get('email_admin', ''),
	);
	
	// поле текст сообщения, который будет отправляться администратору сайту
	$form['email']['administrator']['admin_message'] = array(
		'#type' => 'textarea',
		'#description' => t('Текст email сообщения, который будет отправлен администратору о новом забронированном столике. Так же доступны токены: 
		<ul>
			<li>[reserv:id-res] - номер заявки</li>
			<li>[reserv:name] - на чье имя забронировано</li>
			<li>[reserv:email] - email пользователя</li>
			<li>[reserv:date] - на какую дату забронировано</li>
			<li>[reserv:time] - на какое время забронирован столик</li>
			<li>[reserv:id-table] - номер столика</li>
			<li>[reserv:count] - количество человек</li>
			<li>[reserv:phone] - номер телефона</li>
		<ul>'),
		'#title' => t('Текст сообщения администратору сайта'),
		'#default_value' => variable_get('admin_message', ''),
	);
	
	// вкл / выкл отправку email администратору сайта
	$form['email']['administrator']['on_admin'] = array(
		'#title' => t('Включить / выключить отправку email администратору сайта'),
		'#description' => t('Данный параметр определяет будут ли отправлять email уведомления администратору сата'),
		'#type' => 'radios',
		'#options' => array(
			'0' => t('Не отправлять email уведомления'),
			'1' => t('Отправлять email уведомления'),
		),
		'#default_value' => variable_get('on_admin', ''),
	);
	
	// обертка для пользователя
	$form['email']['user'] = array(
		'#type' => 'fieldset',
		'#title' => 'Email оповещений для пользователя',
		'#collapsible' => TRUE,
		'#collapsed' => TRUE
	);
	
	// поле текст сообщения, который будет отправляться пользователю, после совершения заказа
	$form['email']['user']['user_message'] = array(
		'#type' => 'textarea',
		'#description' => t('Текст сообщения, который будет отправлен пользователю, после заказа столика. Так же доступны токены:
		<ul>
			<li>[reserv:id-res] - номер заявки</li>
			<li>[reserv:name] - на чье имя забронировано</li>
			<li>[reserv:email] - email пользователя</li>
			<li>[reserv:date] - на какую дату забронировано</li>
			<li>[reserv:time] - на какое время забронирован столик</li>
			<li>[reserv:id-table] - номер столика</li>
			<li>[reserv:count] - количество человек</li>
			<li>[reserv:phone] - номер телефона</li>
		<ul>
		'),
		'#title' => t('Текст email сообщения пользователю'),
		'#default_value' => variable_get('user_message', ''),
	);
	
	$form['email']['user']['on_user'] = array(
		'#title' => t('Включить / выключить отправку email пользователю сайту'),
		'#description' => t('Данный параметр определяет будут ли отправляться email уведомления пользователю сайта'),
		'#type' => 'radios',
		'#options' => array(
			'0' => t('Не отправлять email уведомления'),
			'1' => t('Отправлять email уведомления'),
		),
		'#default_value' => variable_get('on_user', ''),
	);
	
	//обертка другие настройки модуля
	$form['settings'] = array(
		'#type' => 'fieldset',
		'#title' => t('Другие настройки модуля'),
		'#collapsible' => TRUE,
		'#collapsed' => TRUE
	);
	
	//отправлять письмо пользователю после подтверждения заказа
	$form['settings']['email_comp'] = array(
		'#title' => t('Отправка письма пользователю, после подтверждения заявки на бронь'),
		'#description' => t('Определяет будет ли получать пользователь на электронный адрес письмо о подтверждении заявки'),
		'#type' => 'radios',
		'#options' => array(
			'0' => t('no'),
			'1' => t('yes'),
		),
		'#default_value' => variable_get('email_comp', ''),
		
	);
	
	// обертка смс оповещения
	$form['smspilot'] = array(
		'#title' => t('Настройки смс оповещения'),
		'#type' => 'fieldset',
		'#collapsible' => TRUE,
		'#collapsed' => TRUE
	);
	
	$smsdesc = t('Для использования смс оповещения о новом заброннировам столике вам необходимо зарегистрироваться на сайте <a href="http://reserv.sms.ru/" target="_blank">http://reserv.sms.ru/</a>, где после подтверждения аккаунта вам будет выдан api ключ, который необходимо внести в форму ниже. После этого вы сможете получать смс оповещения о новом бронировании столика. Сайт http://reserv.sms.ru/ был создан специально по партнерской программе, дабы цены на СМС уведомления при регистрации с него у вас были ниже, в среднем на 10%');
	
	// описание использования 
	$form['smspilot']['item'] = array(
		'#title' => t('Как использовать смс оповещения?'),
		'#description' => $smsdesc,
		'#type' => 'item'
	);
	
	// номер телефона
	$form['smspilot']['phone'] = array(
		'#title' => t('Номер телефона'),
		'#description' => t('На данный номер телефона будут отправлены смс уведомления о новом забронированном столике. Например: 79299991234'),
		'#type' => 'textfield',
		'#size' => 25,
		'#default_value' => variable_get('phone', ''),
	);
	
	// API ключ
	$form['smspilot']['apikey'] = array(
		'#title' => t('API ключ'),
		'#description' => t('Ключ вы получаете после регистрации на сайте http://reserv.sms.ru. Он всегда будет находиться в вашем личном кабинете'),
		'#type' => 'textfield',
		'#size' => 80,
		'#default_value' => variable_get('apikey', ''),
	);
	
	// вкл/выкл
	$form['smspilot']['on_sms'] = array(
		'#title' => t('Включить / выключить отправку смс оповещений'),
		'#description' => t('Данный параметр определяет будут ли отправляться смс оповещения'),
		'#type' => 'radios',
		'#options' => array(
			'0' => t('Не отправлять смс'),
			'1' => t('Отправлять смс'),
		),
		'#default_value' => variable_get('on_sms', ''),
	);
	
	return system_settings_form($form);
}